<?php
/**
* インタフェース実装例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class InterfaceImplementException extends CharcoalException
{
	public function __construct( $class_name, $interface_name )
	{
		$msg = "class[$class_name] must implement interface[$interface_name]";

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}

return __FILE__;
